Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591974 - RFE: seamless SPICE migration does not work with TUNNELLED flag
Summary: RFE: seamless SPICE migration does not work with TUNNELLED flag
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.0
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Daniel Berrange
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 15:18 UTC by Dan Kenigsberg
Modified: 2011-12-06 10:43 UTC (History)
13 users (show)

Fixed In Version: libvirt-0.9.3-1.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 10:43:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1513 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2011-12-06 01:23:30 UTC

Description Dan Kenigsberg 2010-05-13 15:18:42 UTC
On Thu, May 13, 2010 at 04:31:59PM +0300, Dan Kenigsberg wrote:
> On Thu, May 13, 2010 at 07:58:51AM -0400, Daniel P. Berrange wrote:

> > ... I discovered that the virDomainMigratePrepareTunnel
> > method is missing the cookie/cookielen commands. This means that
> > seemless migration will *NOT* be possible when the TUNNELLED
> > migration flag is set. Fortunately VDSM only set PEER2PEER
> > flag which now works fine.
> 
> Ouch. I hoped that we would be able to harness libvirt to enjoy
> migration encryption some time. What are the chances of having that?
> Does it require a who API addition?

Yep, we'll have to define a new API for the tunnelled migration and make
sure it wires up the cookie stuff correctly this time :-(

---------

We've never had encryption on migration data in rhev, but I thought we would get that for almost free by using libvirt.

Miki, if the PRD for rhev 2.3 wants that, this bug may be a blocker.

Comment 2 RHEL Product and Program Management 2010-05-13 16:36:58 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Hugh Brock 2010-05-18 16:13:49 UTC
This isn't compelling for 6.0, moving to 6.1

Comment 6 RHEL Product and Program Management 2010-09-24 15:45:10 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Comment 7 Dan Kenigsberg 2010-09-26 07:46:04 UTC
I perfectly agree with NACKing this from 6.0.z; but please reconsider for 6.1 or further.

Comment 8 Miki Kenneth 2010-09-26 10:59:42 UTC
6.1 is fine from RHEV perspective.

Comment 9 Dave Allan 2010-09-27 01:51:42 UTC
Targeting for 6.1.

Comment 10 Dave Allan 2010-10-07 02:53:43 UTC
NACKing for 6.0.z per comments 7 & 8.

Comment 11 Dave Allan 2011-02-10 02:54:43 UTC
The API required for this RFE is being developed as part of the sanlock work, and when that functionality was deferred to 6.2, this BZ should have been deferred as well.  I have done that now.

Comment 12 Dave Allan 2011-04-04 20:37:42 UTC
The new migration code has been through several iterations and is nearing upstream commit.

Comment 15 Jiri Denemark 2011-05-31 11:36:50 UTC
Migration version 3 protocol is upstream now. It's hard to pick a specific commit since the migration patch series was followed by many bug fixes. All of that is included in 0.9.2-rc1.

Comment 17 yanbing du 2011-07-06 12:03:07 UTC
kernel-2.6.32-165.el6.x86_64
libvirt-0.9.3-1.el6.x86_64
qemu-kvm-0.12.1.2-2.167.el6.x86_64
Bug verified.

Comment 20 errata-xmlrpc 2011-12-06 10:43:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1513.html


Note You need to log in before you can comment on or make changes to this bug.